Subject: Re: [bug#33010] [PATCH 2/3] gnu: Add guix-minimal.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 16 Oct 2018 13:28:01 +0200

Hi Eric,

Eric Bavier <[email-masked]> skribis:

> On Mon, Oct 15, 2018 at 09:28:31PM +0200, Ludovic Courtès wrote:
>> Eric Bavier <[email-masked]> skribis:
>> 
>> > On Sun, 14 Oct 2018 23:42:58 +0200
>> > [email-masked] (Ludovic Courtès) wrote:
>> >> I wonder whether we should add packages “just” for this, especially
>> >> given that 2.0 support is reaching end-of-life and that 2.0.13 is pretty
>> >> old.
>> >
>> > This package would be updated as needed to reflect changes in Guix
>> > dependencies.
>> 
>> OK.  It does sound like an interesting CI job, but maybe not great as a
>> package users can install.  Though of course we can mark it as hidden
>> and then it’s just an easy way to write that CI job.  Thoughts?
>
> I think marking it "hidden" would be fine.

OK, let’s do that, along with a comment explaining the purpose of this
package.

> Do the build farms automatically build hidden packages too?

Yes I think so (see ‘all-packages’ in build-aux/hydra/gnu-system.scm.)

Thanks!

Ludo’.